%define __kde4_alternate_placement 1

%def_enable webarchiver

%define rname konq-plugins
%ifdef __kde4_alternate_placement
Name: kde4-konqueror-plugins
%else
Name: konqueror-plugins
%endif
%define major 4
%define minor 1
%define bugfix 3
Version: %major.%minor.%bugfix
Release: alt1.M41.1

Group: Graphical desktop/KDE
Summary: KDE4 Konqueror plugins
Url: http://www.kde.org/
License: GPL

%ifdef __kde4_alternate_placement
%else
Provides: kdeaddons-konqueror = %version-%release
Obsoletes: kdeaddons-konqueror < %version-%release
%endif

Requires: %name-akregator = %version-%release
Requires: %name-autorefresh = %version-%release
Requires: %name-babelfish = %version-%release
Requires: %name-crashes = %version-%release
Requires: %name-dirfilter = %version-%release
Requires: %name-domtreeviewer = %version-%release
Requires: %name-fsview = %version-%release
Requires: %name-imagerotation = %version-%release
Requires: %name-htmlsettings = %version-%release
Requires: %name-imgallery = %version-%release
Requires: %name-microformat = %version-%release
Requires: %name-minitools = %version-%release
Requires: %name-rellinks = %version-%release
Requires: %name-searchbar = %version-%release
Requires: %name-uachanger = %version-%release
Requires: %name-validators = %version-%release
%if_enabled webarchiver
Requires: %name-webarchiver = %version-%release
%endif

Source: %rname-%version.tar
Source1: webarchiver.tar

BuildRequires: gcc-c++ kde4base-devel >= %version kde4base-runtime >= %version
BuildRequires: kde4base-konqueror >= %version kde4pim-akregator >= %version
BuildRequires: libacl-devel libattr-devel libjpeg-devel
BuildRequires: xorg-devel gettext-tools

%description
KDE4 Konqueror plugins

%package common
Summary: Common package for %name
Group: System/Configuration/Other
Requires: kde-common >= %major.%minor
%description common
Common package for %name

%package akregator
Summary: Konqueror Akregator plugin
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: kde4base-konqueror kde4pim-akregator
%description akregator
Adds selected RSS feed to Akregator

%package autorefresh
Summary: Konqueror auto refresh  plugin
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: kde4base-konqueror
%description autorefresh
Auto refresh plugin

%package babelfish
Summary: Konqueror web translation plugin
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: kde4base-konqueror
%description babelfish
Language translation for the current page using Babelfish

%package crashes
Summary: Konqueror crashes monitor plugin
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: kde4base-konqueror
%description crashes
Records instances of crashes for easier recovery

%package dirfilter
Summary: Konqueror directory filter plugin
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: kde4base-konqueror
%description dirfilter
Filter directory view using an attribute filter

%package domtreeviewer
Summary: Konqueror DOM tree viewer plugin
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: kde4base-konqueror
%description domtreeviewer
View the DOM tree of the current page

%package fsview
Summary: Konqueror file size view plugin
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: kde4base-konqueror
%description fsview
Enables a proportional view of directories and files based on file size

%package imagerotation
Summary: Konqueror image transform plugin
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: kde4base-konqueror
%description imagerotation
Transform images

%package htmlsettings
Summary: Konqueror html settings plugin
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: kde4base-konqueror
%description htmlsettings
A fast way to change the KHTML settings

%package imgallery
Summary: Konqueror image gallery plugin
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: kde4base-konqueror
%description imgallery
An easy way to generate a HTML image gallery

%package minitools
Summary: Konqueror bookmarklets plugin
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: kde4base-konqueror
%description minitools
Enables the use of bookmarklets

%package rellinks
Summary: Konqueror document relations plugin
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: kde4base-konqueror
%description rellinks
Displays the document relations of a document

%package webarchiver
Summary: Konqueror Web archiving plugin
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: kde4base-konqueror
%description webarchiver
Web archiving plugin

%package searchbar
Summary: Konqueror search plugin
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: kde4base-konqueror
%description searchbar
Provides a textbox for easier access to search engines like Google

%package uachanger
Summary: UserAgent changer Konqueror plugin
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: kde4base-konqueror
%description uachanger
UserAgent changer Konqueror plugin

%package microformat
Summary: Konqueror microformat plugin
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: kde4base-konqueror
%description microformat
Displays an icon in the statusbar if the page contains a microformat

%package validators
Summary: Konqueror website validators plugin
Group: Graphical desktop/KDE
Requires: %{get_dep kde4libs}
Requires: %name-common = %version-%release
Requires: kde4base-konqueror
%description validators
Website Validators


%prep
%setup -q -n %rname-%version
sed -i "s|\${LIB_INSTALL_DIR}|%__kde4_libdir_link \${LIB_INSTALL_DIR}|" CMakeLists.txt
%_K_if_ver_lt "%version" "4.1.60"
sed -i 's|4.1.[[:digit:]][[:digit:]]*|%version|' konq-plugins/CMakeLists.txt
pushd konq-plugins
    rm -rf webarchiver
    tar xvf %SOURCE1
popd
%endif


%build
%K4cmake

%K4make


%install
%K4install

%K4find_lang konq-plugins
%K4find_lang akregator_konqplugin
%K4find_lang autorefresh
%K4find_lang babelfish
%K4find_lang crashesplugin
%K4find_lang dirfilterplugin
%K4find_lang domtreeviewer
%K4find_lang fsview
%K4find_lang khtmlsettingsplugin
%K4find_lang imgalleryplugin
%K4find_lang rellinks
%K4find_lang minitoolsplugin
%K4find_lang webarchiver
%K4find_lang searchbarplugin
%K4find_lang uachangerplugin
%K4find_lang mf_konqplugin
%K4find_lang validatorsplugin
%K4find_lang konqsidebar_mediaplayer
%K4find_lang konqsidebar_metabar
%K4find_lang desktop_extragear-base_konq-plugins


%files
%files common -f konq-plugins.lang
%doc konq-plugins/README
%__kde4_doc/en/konq-plugins/index*
%__kde4_doc/en/konq-plugins/common

%files akregator -f akregator_konqplugin.lang
%_K4lib/akregatorkonqfeedicon.so
%_K4apps/akregator/pics/feed.png
%_K4apps/khtml/kpartplugins/akregator_konqfeedicon.desktop
%_K4apps/khtml/kpartplugins/akregator_konqfeedicon.rc

%files autorefresh -f autorefresh.lang
%_K4lib/autorefresh.so
%_K4apps/khtml/kpartplugins/autorefresh.desktop
%_K4apps/khtml/kpartplugins/autorefresh.rc
%_K4apps/webkitpart/kpartplugins/autorefresh.desktop
%_K4apps/webkitpart/kpartplugins/autorefresh.rc

%files babelfish -f babelfish.lang
%_K4lib/libbabelfishplugin.so
%_K4iconsdir/*/*/actions/babelfish.*
%_K4apps/khtml/kpartplugins/plugin_babelfish.desktop
%_K4apps/khtml/kpartplugins/plugin_babelfish.rc
%_K4conf/translaterc
%__kde4_doc/en/konq-plugins/babel

%files crashes -f crashesplugin.lang
%_K4lib/libcrashesplugin.so
%_K4apps/khtml/kpartplugins/crashesplugin.desktop
%_K4apps/khtml/kpartplugins/crashesplugin.rc
%_K4apps/webkitpart/kpartplugins/crashesplugin.desktop
%_K4apps/webkitpart/kpartplugins/crashesplugin.rc
%__kde4_doc/en/konq-plugins/crashes

%files dirfilter -f dirfilterplugin.lang
%_K4lib/libdirfilterplugin.so
%_K4apps/dolphinpart/kpartplugins/dirfilterplugin.desktop
%_K4apps/dolphinpart/kpartplugins/dirfilterplugin.rc
%__kde4_doc/en/konq-plugins/dirfilter

%files domtreeviewer -f domtreeviewer.lang
%_K4lib/libdomtreeviewerplugin.so
%_K4apps/domtreeviewer/domtreeviewerui.rc
%_K4apps/khtml/kpartplugins/plugin_domtreeviewer.desktop
%_K4apps/khtml/kpartplugins/plugin_domtreeviewer.rc
%__kde4_doc/en/konq-plugins/domtreeviewer

%files fsview -f fsview.lang
%__kde4_bindir/fsview
%_K4lib/libfsviewpart.so
%_K4apps/fsview/fsview_part.rc
%__kde4_iconsdir/*/*/apps/fsview.*
%_K4srv/fsview_part.desktop
%__kde4_doc/en/konq-plugins/fsview

%files imagerotation
%_K4apps/imagerotation/exif.py
%_K4apps/imagerotation/orient.py
%_K4srv/ServiceMenus/imageconverter.desktop
%_K4srv/ServiceMenus/jpegorient.desktop

%files htmlsettings -f khtmlsettingsplugin.lang
%_K4lib/libkhtmlsettingsplugin.so
%_K4apps/khtml/kpartplugins/khtmlsettingsplugin.desktop
%_K4apps/khtml/kpartplugins/khtmlsettingsplugin.rc
%__kde4_doc/en/konq-plugins/khtmlsettings

%files imgallery -f imgalleryplugin.lang
%_K4lib/libkimgallery.so
%_K4apps/dolphinpart/kpartplugins/kimgalleryplugin.desktop
%_K4apps/dolphinpart/kpartplugins/kimgalleryplugin.rc
%_K4iconsdir/*/*/actions/imagegallery.*
%__kde4_doc/en/konq-plugins/imgallery

%files microformat -f mf_konqplugin.lang
%_K4lib/mfkonqmficon.so
%_K4apps/khtml/kpartplugins/mf_konqmficon.desktop
%_K4apps/khtml/kpartplugins/mf_konqmficon.rc
%_K4apps/microformat/pics/microformat.png

%files minitools -f minitoolsplugin.lang
%_K4lib/minitoolsplugin.so
%_K4apps/khtml/kpartplugins/minitoolsplugin.desktop
%_K4apps/khtml/kpartplugins/minitoolsplugin.rc

%files rellinks -f rellinks.lang
%_K4lib/librellinksplugin.so
%_K4apps/khtml/kpartplugins/plugin_rellinks.desktop
%_K4apps/khtml/kpartplugins/plugin_rellinks.rc

%files searchbar -f searchbarplugin.lang
%_K4lib/searchbarplugin.so
%_K4apps/konqueror/kpartplugins/searchbar.desktop
%_K4apps/konqueror/kpartplugins/searchbar.rc
%_K4apps/konqueror/icons/*/*/actions/google.*

%files uachanger -f uachangerplugin.lang
%_K4lib/libuachangerplugin.so
%_K4apps/khtml/kpartplugins/uachangerplugin.desktop
%_K4apps/khtml/kpartplugins/uachangerplugin.rc
%_K4apps/webkitpart/kpartplugins/uachangerplugin.desktop
%_K4apps/webkitpart/kpartplugins/uachangerplugin.rc
%__kde4_doc/en/konq-plugins/uachanger

%files validators -f validatorsplugin.lang
%_K4lib/validatorsplugin.so
%_K4iconsdir/*/*/actions/cssvalidator.*
%_K4iconsdir/*/*/actions/htmlvalidator.*
%_K4iconsdir/*/*/actions/validators.*
%_K4apps/khtml/kpartplugins/plugin_validators.desktop
%_K4apps/khtml/kpartplugins/plugin_validators.rc
%_K4apps/webkitpart/kpartplugins/plugin_validators.desktop
%_K4apps/webkitpart/kpartplugins/plugin_validators.rc
%__kde4_doc/en/konq-plugins/validators

%if_enabled webarchiver
%files webarchiver -f webarchiver.lang
%_K4lib/libwebarchiverplugin.so
%_K4lib/webarchivethumbnail.so
%_K4iconsdir/*/*/actions/webarchiver.*
%_K4apps/khtml/kpartplugins/plugin_webarchiver.desktop
%_K4apps/khtml/kpartplugins/plugin_webarchiver.rc
%_K4srv/webarchivethumbnail.desktop
%__kde4_doc/en/konq-plugins/webarchiver
%endif

%changelog
* Wed Dec 03 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt1.M41.1
- built for M41

* Wed Dec 03 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt2
- built webarchiver plugin from kde-4.1.2

* Fri Nov 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt1
- new version

* Tue Oct 07 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt1
- new version

* Thu Sep 18 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.1-alt1
- initial specfile

